[#13986] - Do we have any plan for making jasperreports jar compatible with "jfreechart-1.5.3"

Category:
Enhancement request
Priority:
Immediate
Status:
New
Project: Severity:
Critical
Resolution:
Open
Component: Reproducibility:
Always
Assigned to:

Hi Team,

Due to some security concerns, we need to upgrade jfreechart jar from older version "1.0.19" to latest version "1.5.3".

But we observed that "jasperreports" jar is not compatible with latest jfreechart version "jfreechart-1.5.3.jar".

After upgrading jfreechart, we are getting "java.lang.NoSuchMethodError" exceptions, beacause jfree has changed many package level changes in jar.

Please let us know, do we have any plan for making jasperreports jar compatible with "jfreechart-1.5.3".

OR

Do we have any other charting solution other than "jfreechart" recommended by Jasper?

Regards,

Tushar Patil

v6.17.0
tuspatil's picture
Joined: Jan 3 2022 - 10:54pm
Last seen: 3 days 18 hours ago
Feedback